/******************************************************************************\
|*                                                                            *|
|*                        Neurotechnologija Images 2.0                        *|
|*                                                                            *|
|* Tiff.h                                                                     *|
|* Header file for Tiff module                                                *|
|*                                                                            *|
|* Copyright (C) 2005-2006 Neurotechnologija                                  *|
|*                                                                            *|
\******************************************************************************/

#ifndef TIFF_H_INCLUDED
#define TIFF_H_INCLUDED

#include "NImage.h"

#ifdef N_CPP
extern "C"
{
#endif

/*************\
|*           *|
|* TIFF load *|
|*           *|
\*************/

NResult N_API TiffLoadImageFromFile(const NChar * szFileName, HNImage * pHImage);
NResult N_API TiffLoadImageFromMemory(const void * buffer, NSizeType bufferLength, HNImage * pHImage);

#ifdef N_CPP
}
#endif

#endif // !TIFF_H_INCLUDED
