/* $Id: Scanners.h 9016 2006-09-15 16:07:33Z mindaugas $ */

/* Scanners */

#import <Cocoa/Cocoa.h>
#include <scanner.h>

@interface Scanners : NSObject
{
	struct scanner_info * scanner;
	char scannerName[256];
	
	int isInit;
}

- (void)init:(int)index;

- (int)getNumberOfScanners;
- (int)selectScanner:(unsigned int)index;

- (NSString *)getScannerName;

- (int)initScanner;
- (int)isInit;
- (NSImage *)readFromScanner;
- (void)closeScanner;

@end
