#pragma once

#include <VFinger.h>
#include "VFImage.h"
#include <Afxwin.h>
#include <Afxtempl.h>
#include "VFDUtils.h"

class CVFFeatures
{
private:
	BYTE * data;
	DWORD dataLength;

public:
	CVFFeatures();
	CVFFeatures(const BYTE * data, DWORD dataLength);
	~CVFFeatures();

	BYTE G;
	CArray<VFMinutia,VFMinutia> Minutiae;
	CArray<VFSingularPoint,VFSingularPoint> SingularPoints; 
	CVFImage BlockedOrientations; 

	void Assign(const CVFFeatures * features);
	void Clear();
	void SetData(const BYTE * data, DWORD dataLength);
	DWORD GetData(BYTE * data);
};

