package ScanMan;

/**
 * Interface used to listen for fingerprint scanner events
 *
 * @version 2.0 03/03/2003
 * */

public interface ScannerEventListener
{
    // States
    public static final int SM_STATE_FINGER_DOWN    = 1;
    public static final int SM_STATE_FINGER_UP      = 2;

    public void statusEvent(int state);
    public void imageEvent(int width, int height, byte[] image, int resolution);
}