using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Neurotec.Biometrics.VeriFingerDemo
{
	public partial class DatabaseForm : Form
	{
		#region Public constructor

		public DatabaseForm()
		{
			InitializeComponent();

			dataGridView.AutoGenerateColumns = false;
			dataGridView.DataSource = Data.Database.Records;
			DataGridViewTextBoxColumn idColumn = new DataGridViewTextBoxColumn();
			idColumn.DataPropertyName = "ID";
			idColumn.HeaderText = "ID";
			dataGridView.Columns.Add(idColumn);
		}

		#endregion

		private void clearToolStripButton_Click(object sender, EventArgs e)
		{
			if (MessageBox.Show("Do you really want to clear database?", Text, MessageBoxButtons.YesNo, MessageBoxIcon.Question)
				== DialogResult.Yes)
			{
				dataGridView.DataSource = null;
				Data.Database.Records.Clear();
				dataGridView.DataSource = Data.Database.Records;
			}
		}
	}
}
