/* $Id: gtk_job.h 9003 2006-09-15 11:45:29Z grazvydas $ */
#ifndef __GTK_JOB_H__
#define __GTK_JOB_H__

#include <gtk/gtk.h>
#include <scanner.h>

#define VF_WE_DONT_NEED_CONSTS
#include "fp_engine.h"
//#include "VFingerX.h"

int log_printf (const char *format, ...);
void set_title (void);
char *prompt_name (char *name, int mode);
void update_pixmap2 (char *image, int w, int h, int dpi);
void update_pixmap1 (char *image, int w, int h);
void file_select_enroll (GtkWidget *widget, gpointer user_data);
void file_select_generalize (GtkWidget *widget, gpointer user_data);
void file_select_identify (GtkWidget *widget, gpointer user_data);
char *scan (int *w, int *h);
void scanner_enroll (void);
void scanner_generalize (void);
void scanner_identify ();
void enable_continue_scan (int mode);
void create_window (void);
void paint_minutia(HNFRecord record, NInt minutia_count);

#endif /* __GTK_JOB_H__ */

