#ifndef FP_SCANNER_MAN_H_INCLUDED
#define FP_SCANNER_MAN_H_INCLUDED

#include "FPScanner.h"

#ifdef N_CPP
extern "C"
{
#endif

typedef void (N_CALLBACK * FPScannerManScannerCallback)(const NChar * szScannerID, void * pParam);

NResult N_API FPScannerManInitialize(void);
void N_API FPScannerManUninitialize(void);
NBool N_API FPScannerManIsRegistered(void);
NResult N_API FPScannerManGetScannerCount(NInt * pValue);
NResult N_API FPScannerManGetScanner(NInt index, HFPScanner * pValue);
NResult N_API FPScannerManGetScannerByID(const NChar * szID, HFPScanner * pValue);
NResult N_API FPScannerManSetScannerAddedCallback(FPScannerManScannerCallback pCallback, void * pParam);
NResult N_API FPScannerManSetScannerRemovedCallback(FPScannerManScannerCallback pCallback, void * pParam);

#ifdef N_CPP
}
#endif

#endif // !FP_SCANNER_MAN_H_INCLUDED
