#include "System.h"
#include "Graphics.h"
#include "Utils.h"

string ColorToString(COLORREF value)
{
	return Format(TEXT("%d, %d, %d"), GetRValue(value), GetGValue(value), GetBValue(value));
}

COLORREF StringToColor(const string &value)
{
	int i = value.IndexOf(TEXT(','));
	int j = value.IndexOf(TEXT(','), i + 1);
	if(i != -1 && j != -1)
		try
		{
			return RGB(
				StringToInt(value.LeftSubstring(i)),
				StringToInt(value.Substring(i + 1, j - i - 1)),
				StringToInt(value.Substring(j + 1)));
		}
		catch(exception &)
		{
		}
	throw exception("Can not convert string to color");
}
