﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Neurotec.Biometrics.VeriFingerDemo
{
	public class GIDistributionBuilder
	{
		public GIDistributionBuilder()
		{
		}

		private DistributionBuilder genuines = new DistributionBuilder();

		public DistributionBuilder Genuines
		{
			get
			{
				return genuines;
			}
		}

		private DistributionBuilder impostors = new DistributionBuilder();

		public DistributionBuilder Impostors
		{
			get
			{
				return impostors;
			}
		}

		public int ValueCount
		{
			get
			{
				return genuines.ValueCount + impostors.ValueCount;
			}
		}

		public void Add(int value, bool same)
		{
			(same ? genuines : impostors).Add(value);
		}

		public GIDistribution ToGIDistribution(bool reversePolarity)
		{
			return new GIDistribution(genuines.ToDistribution(), impostors.ToDistribution(), reversePolarity);
		}
	}
}