using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Neurotec.Biometrics.VeriFingerDemo
{
    public partial class EnterIDForm : Form
    {
        public EnterIDForm()
        {
            InitializeComponent();
        }

        public void setText(string text)
        {
            lblText.Text = text;
        }

        public string ID
        {
            get
            {
                return tbID.Text.Trim();
            }

            set
            {
                tbID.Text = value;
            }
        }

        private void EnterIDForm_KeyDown(object sender, KeyEventArgs e)
        {
            switch (e.KeyCode)
            {
                case Keys.Return:
                    DialogResult = DialogResult.OK;
                    Close();
                    break;
                case Keys.Escape:
                    DialogResult = DialogResult.Cancel;
                    Close();
                    break;
            }
        }

        private void EnterIDForm_FormClosing(object sender, FormClosingEventArgs e)
        {
            if ((DialogResult == DialogResult.OK) && (tbID.Text.Trim() == ""))
                e.Cancel = true;
        }
    }
}